> For the complete documentation index, see [llms.txt](https://docs.notional.finance/notional-v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.notional.finance/notional-v3/ntokens/ntoken-mechanics.md).

# nToken Mechanics

## nToken Overview

nTokens are like a portfolio manager for liquidity providers. Instead of needing to provide liquidity directly to individual liquidity pools and roll positions when they mature, the nToken handles everything on behalf of Notional LPs.

To mint nTokens, a user deposits cash into the nToken account. The nToken account then distributes the user's liquidity into the underlying fixed rate liquidity pools for that currency and holds the liquidity tokens that it gets back.

![](/files/-Me7OzNEjSv-9CSZLfXJ)

The nToken account divides liquidity between individual markets based on governance parameters called **deposit shares**.

### Deposit shares

Deposit shares are percentage figures that tell the nToken account how much of a user's total liquidity to deposit into each individual market.&#x20;

Deposit shares allow Notional governors to direct liquidity to the maturities where there is the greatest end-user demand for borrowing and lending. For example, governors may decide on a set of deposit shares which would direct more liquidity to long-dated maturities and less liquidity to short-dated maturities, or vice versa depending on relative demand.

### Depositing into liquidity pools

The nToken account provides liquidity to an individual liquidity pool in the [same way as any other account](/notional-v3/fixed-rate-liquidity-pools/fixed-rate-liquidity-pool-mechanics.md). The nToken account mints a pair of offsetting fCash tokens, places the Prime Cash along with the positive fCash into the liquidity pool in exchange for liquidity tokens, and holds the negative fCash alongside the liquidity tokens in its portfolio.

From the [LP mechanics section](/notional-v3/fixed-rate-liquidity-pools/fixed-rate-liquidity-pool-mechanics.md#providing-liquidity):

> For example, to provide 100 DAI in liquidity to a liquidity pool that is 50% cDAI and 50% fDAI, the LP would need to mint a pair of +100 fDAI and -100 fDAI. The LP would then convert their DAI into Prime DAI, and put the Prime DAI + fDAI into the liquidity pool in exchange for liquidity tokens.
>
> This would leave the LP with -100 fDAI + liquidity tokens.

At any time, the nToken account will hold Prime Cash, fCash, and liquidity tokens from different liquidity pools.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.notional.finance/notional-v3/ntokens/ntoken-mechanics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
